INTERFACE
SUBROUTINE LATTEX5(&
 & KPROMA,KSTART,KPROF,KFLEV,KFLSA,KFLEN,KWLAG,KTLAG,&
 & PDTS2,PBT,PBDT,PXI,KSTEP,LDTWOTL,LDSETTLS,LDADVF,LD2TLFF,&
 & PESGP,PESGM,PRCORI,POMVRL,POMVRM,PCMSLP0,&
 & POROG,POROGL,POROGM,PTSUR,PRD,PCORDIH,PCORDIF,&
 & PGAGT5L,PGAGT5M,PTOD5,PSGRT5L,PSGRT5M,&
 & PKAP5,PVVEL5,PRDELP5,PEVEL5,&
 & PUT5,PVT5,PTT5,PGFLT5,&
 & PUNLT95,PVNLT95,PTNLT95,&
 & PUL05,PVL05,PTL05,&
 & PUL95,PVL95,PTL95,PGFLL95,&
 & PUT15,PVT15) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOM_YGFL , ONLY : YGFL ,YGFLC
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KFLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KFLSA
INTEGER(KIND=JPIM),INTENT(IN) :: KFLEN
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
INTEGER(KIND=JPIM),INTENT(IN) :: KWLAG
INTEGER(KIND=JPIM),INTENT(IN) :: KTLAG
REAL(KIND=JPRB) ,INTENT(IN) :: PDTS2
REAL(KIND=JPRB) ,INTENT(IN) :: PBT
REAL(KIND=JPRB) ,INTENT(IN) :: PBDT(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PXI
INTEGER(KIND=JPIM),INTENT(IN) :: KSTEP
LOGICAL ,INTENT(IN) :: LDTWOTL
LOGICAL ,INTENT(IN) :: LDSETTLS
LOGICAL ,INTENT(IN) :: LDADVF
LOGICAL ,INTENT(IN) :: LD2TLFF
REAL(KIND=JPRB) ,INTENT(IN) :: PESGP
REAL(KIND=JPRB) ,INTENT(IN) :: PESGM
REAL(KIND=JPRB) ,INTENT(IN) :: PRCORI(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: POMVRL(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: POMVRM(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PCMSLP0
REAL(KIND=JPRB) ,INTENT(IN) :: POROG(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: POROGL(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: POROGM(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PTSUR
REAL(KIND=JPRB) ,INTENT(IN) :: PRD
REAL(KIND=JPRB) ,INTENT(IN) :: PCORDIH(0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCORDIF(KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGAGT5L(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGAGT5M(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTOD5(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PSGRT5L(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PSGRT5M(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PKAP5(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVVEL5(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRDELP5(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PEVEL5(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PUT5(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVT5(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTT5(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGFLT5(KPROMA,KFLEV,YGFL%NDIM5)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUNLT95(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVNLT95(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTNLT95(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUL05(KPROMA,KFLSA:KFLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVL05(KPROMA,KFLSA:KFLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTL05(KPROMA,KFLSA:KFLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUL95(KPROMA,KFLSA:KFLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVL95(KPROMA,KFLSA:KFLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTL95(KPROMA,KFLSA:KFLEN)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGFLL95(KPROMA,KFLSA:KFLEN,YGFL%NUMFLDS_SL1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUT15(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVT15(KPROMA,KFLEV)
END SUBROUTINE LATTEX5
END INTERFACE
